
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

	BTFSS      INTF_bit+0, BitPos(INTF_bit+0)
	GOTO       L__interrupt2
	MOVF       _tmr_high+0, 0
	MOVWF      TMR1H+0
	MOVF       _tmr_low+0, 0
	MOVWF      TMR1L+0
	BSF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	BCF        INTF_bit+0, BitPos(INTF_bit+0)
L__interrupt2:
	BTFSS      T0IF_bit+0, BitPos(T0IF_bit+0)
	GOTO       L__interrupt5
	MOVLW      72
	MOVWF      TMR0+0
	MOVF       _led_pos+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt10
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
	MOVF       _led_val1+0, 0
	MOVWF      PORTC+0
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
	MOVLW      2
	MOVWF      _led_pos+0
	GOTO       L__interrupt7
L__interrupt10:
	MOVF       _led_pos+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt13
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
	MOVF       _led_val2+0, 0
	MOVWF      PORTC+0
	BCF        RA2_bit+0, BitPos(RA2_bit+0)
	MOVLW      3
	MOVWF      _led_pos+0
	GOTO       L__interrupt7
L__interrupt13:
	MOVF       _led_pos+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt16
	BSF        RA2_bit+0, BitPos(RA2_bit+0)
	MOVF       _led_val3+0, 0
	MOVWF      PORTC+0
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
	MOVLW      1
	MOVWF      _led_pos+0
	GOTO       L__interrupt7
L__interrupt16:
L__interrupt7:
	BCF        T0IF_bit+0, BitPos(T0IF_bit+0)
L__interrupt5:
	BTFSS      TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	GOTO       L__interrupt18
	CLRF       TMR2+0
	BSF        RB1_bit+0, BitPos(RB1_bit+0)
	BSF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
L__interrupt18:
	BTFSS      TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	GOTO       L__interrupt21
	BCF        RB1_bit+0, BitPos(RB1_bit+0)
	BCF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
L__interrupt21:
L_end_interrupt:
L__interrupt147:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_decode_number:

	MOVF       FARG_decode_number_num+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number27
	MOVLW      192
	MOVWF      R1+0
	GOTO       L__decode_number24
L__decode_number27:
	MOVF       FARG_decode_number_num+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number30
	MOVLW      249
	MOVWF      R1+0
	GOTO       L__decode_number24
L__decode_number30:
	MOVF       FARG_decode_number_num+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number33
	MOVLW      164
	MOVWF      R1+0
	GOTO       L__decode_number24
L__decode_number33:
	MOVF       FARG_decode_number_num+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number36
	MOVLW      176
	MOVWF      R1+0
	GOTO       L__decode_number24
L__decode_number36:
	MOVF       FARG_decode_number_num+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number39
	MOVLW      153
	MOVWF      R1+0
	GOTO       L__decode_number24
L__decode_number39:
	MOVF       FARG_decode_number_num+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number42
	MOVLW      146
	MOVWF      R1+0
	GOTO       L__decode_number24
L__decode_number42:
	MOVF       FARG_decode_number_num+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number45
	MOVLW      130
	MOVWF      R1+0
	GOTO       L__decode_number24
L__decode_number45:
	MOVF       FARG_decode_number_num+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number48
	MOVLW      248
	MOVWF      R1+0
	GOTO       L__decode_number24
L__decode_number48:
	MOVF       FARG_decode_number_num+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number51
	MOVLW      128
	MOVWF      R1+0
	GOTO       L__decode_number24
L__decode_number51:
	MOVF       FARG_decode_number_num+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number54
	MOVLW      144
	MOVWF      R1+0
	GOTO       L__decode_number24
L__decode_number54:
L__decode_number24:
	MOVF       R1+0, 0
	MOVWF      R0+0
L_end_decode_number:
	RETURN
; end of _decode_number

_display_number:

	MOVLW      10
	MOVWF      R4+0
	MOVF       FARG_display_number_num+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      FARG_decode_number_num+0
	CALL       _decode_number+0
	MOVF       R0+0, 0
	MOVWF      display_number_tmp_led3+0
	MOVLW      10
	MOVWF      R4+0
	MOVF       FARG_display_number_num+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      FARG_display_number_num+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      FARG_decode_number_num+0
	CALL       _decode_number+0
	MOVF       R0+0, 0
	MOVWF      display_number_tmp_led2+0
	MOVLW      10
	MOVWF      R4+0
	MOVF       FARG_display_number_num+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      FARG_display_number_num+0
	MOVF       R0+0, 0
	MOVWF      FARG_decode_number_num+0
	CALL       _decode_number+0
	MOVF       R0+0, 0
	MOVWF      display_number_tmp_led1+0
	MOVF       R0+0, 0
	XORLW      192
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       display_number_tmp_led2+0, 0
	XORLW      192
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__display_number57
	MOVLW      255
	MOVWF      display_number_tmp_led2+0
L__display_number57:
	MOVF       display_number_tmp_led1+0, 0
	XORLW      192
	BTFSS      STATUS+0, 2
	GOTO       L__display_number60
	MOVLW      255
	MOVWF      display_number_tmp_led1+0
L__display_number60:
	MOVF       display_number_tmp_led1+0, 0
	MOVWF      _led_val1+0
	MOVF       display_number_tmp_led2+0, 0
	MOVWF      _led_val2+0
	MOVF       display_number_tmp_led3+0, 0
	MOVWF      _led_val3+0
L_end_display_number:
	RETURN
; end of _display_number

_rotary_encoder:

	MOVLW      0
	BTFSC      RB5_bit+0, BitPos(RB5_bit+0)
	MOVLW      1
	MOVWF      R3+0
	MOVLW      0
	BTFSC      RB4_bit+0, BitPos(RB4_bit+0)
	MOVLW      1
	MOVWF      R4+0
	CLRF       R2+0
	MOVF       _Rotary_Enc_A+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R3+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	MOVF       R4+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__rotary_encoder64
	MOVLW      1
	MOVWF      _Rotary_Stat+0
	MOVLW      255
	MOVWF      _Rotary_A_Lock+0
L__rotary_encoder64:
	MOVF       _Rotary_A_Lock+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__rotary_encoder67
	MOVF       R3+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R4+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__rotary_encoder70
	MOVF       _Rotary_Stat+0, 0
	MOVWF      R2+0
	CLRF       _Rotary_A_Lock+0
L__rotary_encoder70:
L__rotary_encoder67:
	MOVF       _Rotary_Enc_B+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R4+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	MOVF       R3+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__rotary_encoder73
	MOVLW      2
	MOVWF      _Rotary_Stat+0
	MOVLW      255
	MOVWF      _Rotary_B_Lock+0
L__rotary_encoder73:
	MOVF       _Rotary_B_Lock+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__rotary_encoder76
	MOVF       R3+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R4+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__rotary_encoder79
	MOVF       _Rotary_Stat+0, 0
	MOVWF      R2+0
	CLRF       _Rotary_B_Lock+0
L__rotary_encoder79:
L__rotary_encoder76:
	MOVF       R3+0, 0
	MOVWF      _Rotary_Enc_A+0
	MOVF       R4+0, 0
	MOVWF      _Rotary_Enc_B+0
	MOVF       R2+0, 0
	MOVWF      R0+0
L_end_rotary_encoder:
	RETURN
; end of _rotary_encoder

_calc_tmr:

	MOVF       FARG_calc_tmr_freq+0, 0
	XORLW      50
	BTFSS      STATUS+0, 2
	GOTO       L__calc_tmr83
	MOVLW      80
	MOVWF      calc_tmr_period+0
	MOVLW      195
	MOVWF      calc_tmr_period+1
	CLRF       calc_tmr_period+2
	CLRF       calc_tmr_period+3
	GOTO       L__calc_tmr84
L__calc_tmr83:
	MOVLW      194
	MOVWF      calc_tmr_period+0
	MOVLW      162
	MOVWF      calc_tmr_period+1
	CLRF       calc_tmr_period+2
	CLRF       calc_tmr_period+3
L__calc_tmr84:
	MOVLW      5
	MOVWF      R4+0
	MOVF       FARG_calc_tmr_duty+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      R2+0
	CLRF       R2+1
	RLF        R2+0, 1
	RLF        R2+1, 1
	BCF        R2+0, 0
	MOVF       R2+0, 0
	ADDLW      _ACRV+0
	MOVWF      R0+0
	MOVLW      hi_addr(_ACRV+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R2+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	INCF       ___DoICPAddr+0, 1
	BTFSC      STATUS+0, 2
	INCF       ___DoICPAddr+1, 1
	CALL       _____DoICP+0
	MOVWF      R0+1
	MOVLW      0
	MOVWF      R0+2
	MOVWF      R0+3
	MOVF       calc_tmr_period+0, 0
	MOVWF      R4+0
	MOVF       calc_tmr_period+1, 0
	MOVWF      R4+1
	MOVF       calc_tmr_period+2, 0
	MOVWF      R4+2
	MOVF       calc_tmr_period+3, 0
	MOVWF      R4+3
	CALL       _Mul_32x32_U+0
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_U+0
	MOVF       calc_tmr_period+0, 0
	MOVWF      R4+0
	MOVF       calc_tmr_period+1, 0
	MOVWF      R4+1
	MOVF       calc_tmr_period+2, 0
	MOVWF      R4+2
	MOVF       calc_tmr_period+3, 0
	MOVWF      R4+3
	MOVF       R0+0, 0
	SUBWF      R4+0, 1
	MOVF       R0+1, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R0+1, 0
	SUBWF      R4+1, 1
	MOVF       R0+2, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R0+2, 0
	SUBWF      R4+2, 1
	MOVF       R0+3, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R0+3, 0
	SUBWF      R4+3, 1
	MOVLW      255
	MOVWF      R0+0
	MOVLW      255
	MOVWF      R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVF       R0+0, 0
	MOVWF      calc_tmr_tmr_value+0
	MOVF       R0+1, 0
	MOVWF      calc_tmr_tmr_value+1
	MOVF       R0+2, 0
	MOVWF      calc_tmr_tmr_value+2
	MOVF       R0+3, 0
	MOVWF      calc_tmr_tmr_value+3
	MOVF       R4+0, 0
	SUBWF      calc_tmr_tmr_value+0, 1
	MOVF       R4+1, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R4+1, 0
	SUBWF      calc_tmr_tmr_value+1, 1
	MOVF       R4+2, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R4+2, 0
	SUBWF      calc_tmr_tmr_value+2, 1
	MOVF       R4+3, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R4+3, 0
	SUBWF      calc_tmr_tmr_value+3, 1
	MOVF       calc_tmr_tmr_value+0, 0
	MOVWF      _tmr_low+0
	MOVF       calc_tmr_tmr_value+1, 0
	MOVWF      _tmr_high+0
L_end_calc_tmr:
	RETURN
; end of _calc_tmr

_main:

	BCF        RB1_bit+0, BitPos(RB1_bit+0)
	CLRF       TRISC+0
	BCF        TRISA3_bit+0, BitPos(TRISA3_bit+0)
	BCF        TRISA2_bit+0, BitPos(TRISA2_bit+0)
	BCF        TRISA1_bit+0, BitPos(TRISA1_bit+0)
	BCF        TRISB1_bit+0, BitPos(TRISB1_bit+0)
	BSF        TRISB5_bit+0, BitPos(TRISB5_bit+0)
	BSF        TRISB4_bit+0, BitPos(TRISB4_bit+0)
	BSF        TRISB0_bit+0, BitPos(TRISB0_bit+0)
	BSF        NOT_RBPU_bit+0, BitPos(NOT_RBPU_bit+0)
	BCF        PCFG3_bit+0, BitPos(PCFG3_bit+0)
	BSF        PCFG2_bit+0, BitPos(PCFG2_bit+0)
	BSF        PCFG1_bit+0, BitPos(PCFG1_bit+0)
	BSF        PS2_bit+0, BitPos(PS2_bit+0)
	BCF        PS1_bit+0, BitPos(PS1_bit+0)
	BCF        PS0_bit+0, BitPos(PS0_bit+0)
	BCF        PSA_bit+0, BitPos(PSA_bit+0)
	BSF        T0IE_bit+0, BitPos(T0IE_bit+0)
	BCF        T0IF_bit+0, BitPos(T0IF_bit+0)
	MOVLW      72
	MOVWF      TMR0+0
	BCF        T0CS_bit+0, BitPos(T0CS_bit+0)
	BSF        PEIE_bit+0, BitPos(PEIE_bit+0)
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	BCF        T1CKPS1_bit+0, BitPos(T1CKPS1_bit+0)
	BCF        T1CKPS0_bit+0, BitPos(T1CKPS0_bit+0)
	BCF        TMR1CS_bit+0, BitPos(TMR1CS_bit+0)
	BSF        TMR1ON_bit+0, BitPos(TMR1ON_bit+0)
	BCF        TOUTPS3_bit+0, BitPos(TOUTPS3_bit+0)
	BCF        TOUTPS2_bit+0, BitPos(TOUTPS2_bit+0)
	BCF        TOUTPS1_bit+0, BitPos(TOUTPS1_bit+0)
	BSF        TOUTPS0_bit+0, BitPos(TOUTPS0_bit+0)
	BCF        T2CKPS0_bit+0, BitPos(T2CKPS0_bit+0)
	BCF        T2CKPS1_bit+0, BitPos(T2CKPS1_bit+0)
	BCF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	MOVLW      249
	MOVWF      PR2+0
	CLRF       _Rotary_A_Lock+0
	CLRF       _Rotary_B_Lock+0
	MOVLW      128
	MOVWF      _led_val1+0
	MOVLW      128
	MOVWF      _led_val2+0
	MOVLW      128
	MOVWF      _led_val3+0
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
	BSF        RA2_bit+0, BitPos(RA2_bit+0)
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
	MOVLW      1
	MOVWF      _led_pos+0
L__main87:
	BTFSS      RB0_bit+0, BitPos(RB0_bit+0)
	GOTO       L__main87
	CLRF       TMR1H+0
	CLRF       TMR1L+0
L__main92:
	BTFSC      RB0_bit+0, BitPos(RB0_bit+0)
	GOTO       L__main92
L__main97:
	BTFSS      RB0_bit+0, BitPos(RB0_bit+0)
	GOTO       L__main97
	MOVF       TMR1H+0, 0
	MOVWF      main_tmrH_byte+0
	MOVF       main_tmrH_byte+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       main_tmrH_byte+0, 0
	ADDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R2+1
	MOVF       R2+0, 0
	MOVWF      main_period+0
	MOVF       R2+1, 0
	MOVWF      main_period+1
	CLRF       main_freq+0
	MOVF       R2+1, 0
	SUBLW      193
	BTFSS      STATUS+0, 2
	GOTO       L__main153
	MOVF       R2+0, 0
	SUBLW      92
L__main153:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVLW      197
	SUBWF      R2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main154
	MOVLW      68
	SUBWF      R2+0, 0
L__main154:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main102
	MOVLW      50
	MOVWF      main_freq+0
L__main102:
	MOVF       main_period+1, 0
	SUBLW      161
	BTFSS      STATUS+0, 2
	GOTO       L__main155
	MOVF       main_period+0, 0
	SUBLW      34
L__main155:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVLW      164
	SUBWF      main_period+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main156
	MOVLW      98
	SUBWF      main_period+0, 0
L__main156:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main105
	MOVLW      60
	MOVWF      main_freq+0
L__main105:
	CLRF       _duty+0
	BCF        TMR1ON_bit+0, BitPos(TMR1ON_bit+0)
	BCF        TMR2ON_bit+0, BitPos(TMR2ON_bit+0)
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	BSF        INTE_bit+0, BitPos(INTE_bit+0)
	BSF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
	BSF        INTEDG_bit+0, BitPos(INTEDG_bit+0)
	BSF        INTCON+0, 7
	MOVF       main_freq+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main110
	MOVLW      134
	MOVWF      _led_val1+0
	MOVLW      255
	MOVWF      _led_val2+0
	MOVLW      255
	MOVWF      _led_val3+0
L__main112:
	GOTO       L__main112
L__main110:
	MOVF       main_freq+0, 0
	XORLW      50
	BTFSS      STATUS+0, 2
	GOTO       L__main118
	MOVLW      146
	MOVWF      _led_val1+0
	MOVLW      192
	MOVWF      _led_val2+0
	MOVLW      137
	MOVWF      _led_val3+0
	GOTO       L__main107
L__main118:
	MOVF       main_freq+0, 0
	XORLW      60
	BTFSS      STATUS+0, 2
	GOTO       L__main121
	MOVLW      130
	MOVWF      _led_val1+0
	MOVLW      192
	MOVWF      _led_val2+0
	MOVLW      137
	MOVWF      _led_val3+0
	GOTO       L__main107
L__main121:
L__main107:
	MOVLW      26
	MOVWF      R11+0
	MOVLW      94
	MOVWF      R12+0
	MOVLW      110
	MOVWF      R13+0
L__main122:
	DECFSZ     R13+0, 1
	GOTO       L__main122
	DECFSZ     R12+0, 1
	GOTO       L__main122
	DECFSZ     R11+0, 1
	GOTO       L__main122
	NOP
	MOVF       _duty+0, 0
	MOVWF      FARG_display_number_num+0
	CALL       _display_number+0
L__main124:
	CALL       _rotary_encoder+0
	MOVF       R0+0, 0
	MOVWF      main_turn+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main129
	MOVLW      100
	SUBWF      _duty+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main132
	MOVLW      5
	ADDWF      _duty+0, 1
L__main132:
	MOVF       _duty+0, 0
	XORLW      100
	BTFSS      STATUS+0, 2
	GOTO       L__main135
	BCF        TMR1ON_bit+0, BitPos(TMR1ON_bit+0)
	BCF        TMR2ON_bit+0, BitPos(TMR2ON_bit+0)
	BCF        INTE_bit+0, BitPos(INTE_bit+0)
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	BSF        RB1_bit+0, BitPos(RB1_bit+0)
	GOTO       L__main136
L__main135:
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
	BCF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
	BSF        TMR1ON_bit+0, BitPos(TMR1ON_bit+0)
	BSF        TMR2ON_bit+0, BitPos(TMR2ON_bit+0)
	BSF        INTE_bit+0, BitPos(INTE_bit+0)
	MOVF       _duty+0, 0
	MOVWF      FARG_calc_tmr_duty+0
	MOVF       main_freq+0, 0
	MOVWF      FARG_calc_tmr_freq+0
	CALL       _calc_tmr+0
L__main136:
	MOVF       _duty+0, 0
	MOVWF      FARG_display_number_num+0
	CALL       _display_number+0
L__main129:
	MOVF       main_turn+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main138
	MOVF       _duty+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L__main141
	MOVLW      5
	SUBWF      _duty+0, 1
L__main141:
	MOVF       _duty+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main144
	BCF        TMR1ON_bit+0, BitPos(TMR1ON_bit+0)
	BCF        TMR2ON_bit+0, BitPos(TMR2ON_bit+0)
	BCF        INTE_bit+0, BitPos(INTE_bit+0)
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	BCF        RB1_bit+0, BitPos(RB1_bit+0)
	GOTO       L__main145
L__main144:
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
	BCF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
	BSF        TMR1ON_bit+0, BitPos(TMR1ON_bit+0)
	BSF        TMR2ON_bit+0, BitPos(TMR2ON_bit+0)
	BSF        INTE_bit+0, BitPos(INTE_bit+0)
	MOVF       _duty+0, 0
	MOVWF      FARG_calc_tmr_duty+0
	MOVF       main_freq+0, 0
	MOVWF      FARG_calc_tmr_freq+0
	CALL       _calc_tmr+0
L__main145:
	MOVF       _duty+0, 0
	MOVWF      FARG_display_number_num+0
	CALL       _display_number+0
L__main138:
	GOTO       L__main124
L_end_main:
	GOTO       $+0
; end of _main
